/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999-2005 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or 1any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: C_JonasAdmin.java,v 1.1 2005/07/11 16:01:34 kemlerp Exp $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jonasadmin.test.suite;

import org.objectweb.jonas.jonasadmin.test.catalina.C_JonasAdminCatalina;
import org.objectweb.jonas.jonasadmin.test.deploy.C_JonasAdminDeploy;
import org.objectweb.jonas.jonasadmin.test.domain.C_JonasAdminDomain;
import org.objectweb.jonas.jonasadmin.test.jonasserver.C_JonasAdminJonasserver;
import org.objectweb.jonas.jonasadmin.test.joram.C_JonasAdminJoram;
import org.objectweb.jonas.jonasadmin.test.logging.C_JonasAdminLogging;
import org.objectweb.jonas.jonasadmin.test.monitoring.C_JonasAdminMonitoring;
import org.objectweb.jonas.jonasadmin.test.navigation.C_JonasAdminNavigation;
import org.objectweb.jonas.jonasadmin.test.service.container.C_JonasAdminContainer;
import org.objectweb.jonas.jonasadmin.test.util.JonasAdminTestCase;

import com.meterware.httpunit.WebConversation;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Define a class to test jonasAdmin
 * Test : - catalina
 *        - deploy
 *        - domain
 *        - jonasserver
 *        - joram
 *        - logging
 *        - monitoring
 *        - 'navigation'
 *        - service/container
 * @author Paul Kemler
 */
public class C_JonasAdmin extends JonasAdminTestCase {

    /**
     * Constructor with a specified name
     * @param name the name
     */
    public C_JonasAdmin(String name) {
        super(name);
    }

    /**
     * Get a new TestSuite for this class
     * It includes all jonasAdmin tests
     * @return a new TestSuite for this class
     */
    public static Test suite() {
        WebConversation wc = new WebConversation();

        TestSuite suite = new TestSuite();
        suite.addTest(C_JonasAdminCatalina.suite(wc));
        suite.addTest(C_JonasAdminDeploy.suite());
        suite.addTest(C_JonasAdminDomain.suite(wc));
        suite.addTest(C_JonasAdminJonasserver.suite(wc));
        suite.addTest(C_JonasAdminJoram.suite(wc));
        suite.addTest(C_JonasAdminLogging.suite(wc));
        suite.addTest(C_JonasAdminMonitoring.suite(wc));
        suite.addTest(C_JonasAdminNavigation.suite(wc));
        suite.addTest(C_JonasAdminContainer.suite(wc));
        return suite;
    }

    /**
     * Main method
     * @param args the arguments
     */
    public static void main (String[] args) {
        junit.textui.TestRunner.run(suite());
    }
}
